Hi 

I am using the one-click installer and  I tried to run the tk sample
programs under samples\tk\tkextlib\iwidgets\sample but tk needs the
itcl package to work.

I downloaded the activestate tcl package but the version has changed
from 8.3 to  8.4 so I renamed the dll's to tk83.dll and tcl83dll.

Is there a better way to achieve this? 
Could I copy the itcl package somewhere in the installation tree?
My intention is to bundle everything in a single executable( with
rubyscript2exe) and distribute it. Should I be aware of anything?

Thanks